<?php use_helper('UrlFunctions'); ?>
<?php use_helper('UtilFunctions'); ?>
<?php
$s_User = myUser::getUser()->getUserId();
//FORMULA DEL MONTO A PAGAR CON INTERESES
$f_MontoInteres = (($s_InteresMensual/100)*$s_MontoCap*(($cboDuracion)));
$f_MontoTotalPagar = $f_MontoInteres + $s_MontoCap;
$f_MontoCuotaPagar = fnroundesp( $f_MontoTotalPagar/$s_NumMeses, 2 );

$f_MontoCuotaCapPagar = fnroundesp( $s_MontoCap/$s_NumMeses, 2 );

$f_MontoInteresCuota = fnroundesp( $f_MontoInteres / $s_NumMeses, 2 );

?>
<?php
if( isset( $_POST['b_ControlDet'] ) )
{
    try 
    {
        $o_CrCreditoCronoDP = new CrCreditoCronoDP();
        
        if($cboFormaPago == 'S'){
  			$lapso = '+1 week ';
  		}
  		if($cboFormaPago == 'Q'){
  			$lapso = '+15 days ';
  		}
  		if($cboFormaPago == 'M'){
  			$lapso = '+1 month';
  		}
        $o_CrCreditoCronoDP->setPeriodopago($cboFormaPago);
        $o_CrCreditoCronoDP->setDuracion($cboDuracion);
        $o_CrCreditoCronoDP->setIdcliente( $idCliente );
        $o_CrCreditoCronoDP->setMontocapital( $s_MontoCap );
        $o_CrCreditoCronoDP->setPorcinteresmensual( $s_InteresMensual );
        $o_CrCreditoCronoDP->setNumeromeses( $s_NumMeses );
        $o_CrCreditoCronoDP->setPorcinteresdiariomora( $s_InteresMor );
        $o_CrCreditoCronoDP->setMoneda( $s_Moneda );
        $o_CrCreditoCronoDP->setMontointeres( $f_MontoInteres );
        $o_CrCreditoCronoDP->setObservacion( $s_Observacion );
        $o_CrCreditoCronoDP->setFechacreacion( date("Y-m-d H:i:s") );
        $o_CrCreditoCronoDP->setUsuariocreacion( $s_User );
        $o_CrCreditoCronoDP->setIdcolaborador(myUser::getUser()->getIdColaborador());
        $s_FechaInicioPago = date("Y-m-d", strtotime("$s_FechaOperacion $lapso"));
        
        $o_CrCreditoCronoDP->setFechainicio( $s_FechaInicioPago );
        //$o_CrCreditoCronoDP->setFechavencimiento(  ); //ULTIMA CUOTA
        $o_CrCreditoCronoDP->setMontototal( $f_MontoTotalPagar );
        $o_CrCreditoCronoDP->setSaldocredito( $f_MontoTotalPagar );
        $o_CrCreditoCronoDP->setFechatrx( $s_FechaOperacion );
        $o_CrCreditoCronoDP->setTipocredito( $s_tipoCredito);
        
        $o_CrCreditoCronoDP->setEstado( "P" );
        
        $b_Result = $o_CrCreditoCronoDP->save();
        
        $i_Idcreditocrono = $o_CrCreditoCronoDP->getIdcreditocrono();
        
        if( $b_Result )
        {
            for ( $i=1; $i<=$s_NumMeses; $i++ )
            {
                $s_FechaOperacion = date("Y-m-d", strtotime("$s_FechaOperacion $lapso"));
                $s_FechaPagoCuota = $s_FechaOperacion;
                if( $i == $s_NumMeses )
                {
                    $f_CalculoCuotaMenos = ( $f_MontoCuotaPagar * ( $s_NumMeses - 1 ) );
                    $f_MontoCuotaPagarUltimo = $f_MontoTotalPagar - $f_CalculoCuotaMenos;
                    $f_MontoCuotaPagar = $f_MontoCuotaPagarUltimo;
                    
                    $f_CalculoCuotaMenos2 = ( $f_MontoCuotaCapPagar * ( $s_NumMeses - 1 ) );
                    $f_MontoCuotaPagarUltimo2 = $s_MontoCap - $f_CalculoCuotaMenos2;
                    $f_MontoCuotaCapPagar = $f_MontoCuotaPagarUltimo2;
                }
                
                $o_CrCreditoCuotaDP = new CrCreditoCuotaDP();
                $o_CrCreditoCuotaDP->setIdcreditocrono( $i_Idcreditocrono );
                $o_CrCreditoCuotaDP->setFechacuota( $s_FechaPagoCuota );
                $o_CrCreditoCuotaDP->setMontototal( $f_MontoCuotaPagar );
                $o_CrCreditoCuotaDP->setSaldototal( $f_MontoCuotaPagar );
                $o_CrCreditoCuotaDP->setMontocapital( $f_MontoCuotaCapPagar );
                $o_CrCreditoCuotaDP->setMontointeres( $f_MontoInteresCuota );
                $o_CrCreditoCuotaDP->setEstado( "P" );
                $o_CrCreditoCuotaDP->setMoneda( $s_Moneda );
                $o_CrCreditoCuotaDP->setFechacreacion( date("Y-m-d H:i:s") );
                $o_CrCreditoCuotaDP->setUsuariocreacion( $s_User );
                $b_Result = $o_CrCreditoCuotaDP->save();
            }
        }
        
        $o_CrCreditoCronoDP = new CrCreditoCronoDP();
        $o_CrCreditoCronoDP->setIdcreditocrono( $i_Idcreditocrono );
        $o_CrCreditoCronoDP->setFechavencimiento( $s_FechaPagoCuota ); //ULTIMA CUOTA
        $b_Result = $o_CrCreditoCronoDP->update();
        
        if( $b_Result )
        {
            ?>
            <script>
            //parent.location.href='<?php echo buildUrl('hpt/list','block=006')?>'
            parent.objMainTab.windowsCloseAll();
            </script>
            <?php
        }
    }
    catch ( Exception $o_Exception )
    {
        $s_MensajeError = $o_Exception->getMessage();
        ?>
        <script>
        alert("<?php echo $s_MensajeError ?>");
        </script>
        <?php
    }
}
?>
<table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top: 5px; margin-bottom: 5px;padding-left: 25px; padding-right: 12px;">
    <tr>
        <?php if( isset( $i_Id ) && $i_Id!="" ){ ?>
        <td class="titleBody"><li>Editar Hipoteca</li></td>
        <?php }else{ ?>
        <td class="titleBody"><li>Nuevo Credito hipotecario</li></td>
        <?php } ?>
        <td align="right">
            <input type="button" class="button" value="Volver a listado" onclick="location.href='<?php echo buildUrl('hpt/list','block=006')?>'" title="Volver a listado"/>
        </td>
    </tr>
</table>
<?php
$o_ClienteBean = new ClienteBean();
$o_ClienteBean->setIdCliente( $idCliente );

$o_ClienteBL = new ClienteBL();
$a_Cliente = $o_ClienteBL->busquedaCliente( $o_ClienteBean );
if( $a_Cliente )
{
    $o_ClienteBN = $a_Cliente[0];
    $s_NombreCompleto = $o_ClienteBN->getNombreCompleto();
    $i_IdMercado =  $o_ClienteBN->getIdMercado();
    $o_MercadoBean = new MercadoBean();
    $o_MercadoBean->setIdMercado( $i_IdMercado );
    
    $o_MercadoBL = new MercadoBL();
    $a_Mercado = $o_MercadoBL->busquedaMercado( $o_MercadoBean );
    if( $a_Mercado )
    {
        $o_MercadoBN = $a_Mercado[0];
        $s_DescripcionMercado = $o_MercadoBN->getDescripcion();
    }
}
?>
<?php
$s_Param = 'block=006&idCliente='.$idCliente;
if( isset( $i_Id ) )
{
    $s_Param = $s_Param.'&i_Id='.$i_Id;
}
?>
<style>
fieldset select{ width: 60%; }
</style>
<form action="<?php echo buildUrl('hpt/addeditDet', $s_Param) ?>" method="post" name="form1" id="form1" enctype="multipart/form-data">
    <?php if( isset( $i_Id ) && $i_Id != "" ){ ?>
    <input type="hidden" name="i_Id" id="i_Id" value="<?php echo $i_Id ?>"/>
    <?php } ?>
    <input type="hidden" name="b_ControlDet" id="b_ControlDet" value="post"/>
    <table width="100%" class="" style="padding-left: 10px; padding-right: 10px;">
        <tr>
            <td>
            
                <table id="tabShowScan" cellpadding="0" cellspacing="0" class="mnuElement">
                    <tr>
                      <td class="mnuInactivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                      <td class="mnuInactivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('hpt/addedit', $s_Param) ?>';">Datos Generales</td>
                      <td class="mnuInactivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
                      <?php //if( isset( $i_Id ) && $i_Id!="" ){ ?>
                      <td class="mnuActivoIzq" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                      <td class="mnuActivoTxt" type='maintTabguiaGeneral' nowrap onclick="location.href='<?php echo buildUrl('hpt/addeditDet', $s_Param) ?>';">Cronograma</td>
                      <td class="mnuActivoDer" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>

                      <?php //} ?>
                    </tr>
                </table>
                
                <table width="100%" cellspacing="0" cellpadding="0" border="0" class="marco">
                    <tr>
                        <td width="100%"  align="center">
                            <table width="100%" cellspacing="1" cellpadding="2" border="0" class="">
                                <tr>
                                    <td nowrap="nowrap" width="20%" class="cabecera"><label class="label req" for="txtNotaria" >Cliente</label></td>
                                    <td nowrap="nowrap" width="80%">
                                        <label class="label"><?php echo $s_NombreCompleto ?></label>
                                        <input type="hidden" id="s_NombreCompleto" name="s_NombreCompleto" value="<?php echo $s_NombreCompleto ?>"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Mercado</label></td>
                                    <td nowrap="nowrap" >
                                        <label class="label"><?php echo $s_DescripcionMercado ?></label>
                                        <input type="hidden" id="s_DescripcionMercado" name="s_DescripcionMercado" value="<?php echo $s_DescripcionMercado ?>"/>
                                    </td>
                                </tr>
                                
                                <tr>
                                    <td colspan="2">
                                        <table width="100%" cellpadding="0" cellspacing="0" border="0">
                                        	<tr>
			                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Tipo de Credito</label></td>
			                                    <td nowrap="nowrap" >
			                                    	<?php
			                                                    switch ( $s_tipoCredito) 
			                                                    {
			                                                    	case "H":
			                                                    	    ?><label class="label">Hipotecario</label><?php
			                                                        break;
			                                                        case "F":
			                                                    	    ?><label class="label">Financiero</label><?php
			                                                        break;
			                                                    }
			                                                    ?>
			                                                    <input type="hidden" id="s_tipoCredito" name="s_tipoCredito" value="<?php echo $s_tipoCredito ?>"/>
													
			                                      
			                                    </td> 
			                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtNotaria" >Fecha Operaci&oacute;n</label></td>
			                                    <td nowrap="nowrap" >
			                                        <label class="label"><?php echo $s_FechaOperacion ?></label>
			                                        <input type="hidden" id="s_FechaOperacion" name="s_FechaOperacion" value="<?php echo $s_FechaOperacion ?>"/>
			                                    </td>
			                                </tr>
                                            <tr>
                                                <td nowrap="nowrap" width="20%" class="cabecera"><label class="label req" for="s_MontoCap" >Monto de Capital</label></td>
                                                <td nowrap="nowrap" width="20%">
                                                    <label class="label"><?php echo $s_MontoCap ?></label>
                                                    <input type="hidden" name="s_MontoCap" id="s_MontoCap" value="<?php echo $s_MontoCap ?>"/>
                                                </td>
                                                <td nowrap="nowrap" width="20%"><label class="label req" for="s_Moneda" >Moneda</label></td>
                                                <td nowrap="nowrap" >
                                                    <?php
                                                    switch ( $s_Moneda ) 
                                                    {
                                                    	case "S":
                                                    	    ?><label class="label">SOLES</label><?php
                                                        break;
                                                        case "D":
                                                    	    ?><label class="label">DOLARES</label><?php
                                                        break;
                                                    }
                                                    ?>
                                                    <input type="hidden" id="s_Moneda" name="s_Moneda" value="<?php echo $s_Moneda ?>"/>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="s_InteresMensual" >Interes Mensual</label></td>
                                    <td nowrap="nowrap" >
                                        <label class="label"><?php echo $s_InteresMensual ?>&nbsp;&nbsp;%</label>
                                        <input type="hidden" name="s_InteresMensual" id="s_InteresMensual" value="<?php echo $s_InteresMensual ?>"/>
                                    </td>
                                </tr>
                                 <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="s_InteresMensual" >Forma de Pago</label></td>
                                    <td nowrap="nowrap" align="left">
								  		<label class="label"><?php 
								  		if($cboFormaPago == 'S'){
								  			echo "Semanal";
								  			$lapso = '+1 week ';
								  		}
								  		if($cboFormaPago == 'Q'){
								  			echo "Quincenal";
								  			$lapso = '+15 days ';
								  		}
								  		if($cboFormaPago == 'M'){
								  			echo "Mensual";
								  			$lapso = '+1 month';
								  		}
								  		?>
								  		</label>
                                        <input type="hidden" name="cboFormaPago" id="cboFormaPago" value="<?php echo $cboFormaPago ?>"/>
                                    </td>
                                </tr> 
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="s_InteresMensual" >Duración</label></td>
                                    <td nowrap="nowrap" align="left">
										<label class="label"><?php echo $cboDuracion ?> meses</label>
                                        <input type="hidden" name="cboDuracion" id="cboDuracion" value="<?php echo $cboDuracion ?>"/>
                                    </td>
                                </tr> 
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="s_InteresMensual" ># Cuotas</label></td>
                                    <td nowrap="nowrap" align="left">
                                    	<label class="label"><?php echo $s_NumMeses ?></label>
                                        <input type="hidden" name="s_NumMeses" id="s_NumMeses" value="<?php echo $s_NumMeses ?>"/>
                                    </td>
                                </tr>
                                
                               
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="s_InteresMor" >Interes Moratorio</label></td>
                                    <td nowrap="nowrap" >
                                        <label class="label"><?php echo $s_InteresMor ?>&nbsp;&nbsp;%</label>
                                        <input type="hidden" name="s_InteresMor" id="s_InteresMor" value="<?php echo $s_InteresMor ?>"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td nowrap="nowrap" class="cabecera"><label class="label req" for="s_Observacion" >Observaci&oacute;n</label></td>
                                    <td nowrap="nowrap" >
                                        <label class="label"><?php echo $s_Observacion ?></label>
                                        <input type="hidden" name="s_Observacion" id="s_Observacion" value="<?php echo $s_Observacion ?>"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <table class="marco" border="0" cellpadding="0" cellspacing="0" width="50%">
                                            <tr>
                                                <td height="17" class="pager">
                                                    Listado de Cuotas
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
                                                        <tr height="23">
                                                            <th width="5%" >Nro</th>
                                                            <th width="30%" >Fecha</th>
                                                            <th width="30%" >Monto</th>
                                                        </tr>
                                                        <?php
                                                        $f_MontoCuotaPagar = fnroundesp( $f_MontoTotalPagar/$s_NumMeses, 2 );
                                                        ?>
                                                        <?php for ( $i=1; $i<=$s_NumMeses; $i++ ){ ?>
                                                        <?php
                                                        $s_FechaOperacion = date("Y-m-d", strtotime("$s_FechaOperacion $lapso"));
                                                        ?>
                                                        <tr>
                                                            <td align="center"><?php echo $i ?></td>
                                                            <td align="center"><label class="label"><?php echo $s_FechaOperacion ?></label></td>
                                                            <td align="center">
                                                                <?php
                                                                if( $i == $s_NumMeses )
                                                                {
                                                                    $f_CalculoCuotaMenos = ( $f_MontoCuotaPagar * ( $s_NumMeses - 1 ) );
                                                                    $f_MontoCuotaPagarUltimo = $f_MontoTotalPagar - $f_CalculoCuotaMenos;
                                                                    $f_MontoCuotaPagar = $f_MontoCuotaPagarUltimo;
                                                                }
                                                                ?>
                                                                <label class="label"><?php echo $f_MontoCuotaPagar ?></label>
                                                            </td>
                                                        </tr>
                                                        <?php } ?>
                                                        <tr>
                                                            <td colspan="2" align="center"><label class="label req">Total</label></td>
                                                            <td align="center" style="border-top: 1px solid black;"><label class="label req" ><?php echo $f_MontoTotalPagar ?></label></td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="4">
                                        <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin-top: 10px;">
                                            <tr>
                                                <td align="center">
                                                    <table width="100%" cellspacing="0" cellpadding="0" border="0"  style="padding-bottom: 5px; padding-top: 5px;">
                                                        <tr>
                                                            <td align="center">
                                                                <input type="button" value="Guardar" class="button" onclick="formCallback();" title="Grabar y Siguiente">
                                                                &nbsp;&nbsp;
                                                                <input type="button" value="Cancelar" class="button" onclick="parent.objMainTab.windowsCloseAll();"/>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                            
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
    </tr>
</form>

<script type="text/javascript">
var valid = new Validation('form1', {immediate : true, useTitles : true});
formCallback = function () 
{
    var result = valid.validate();
    if(result)
    {
        $('form1').submit();
    }
}
</script>