<?php

$root_dir = SF_ROOT_DIR.DIRECTORY_SEPARATOR;
$sep      = DIRECTORY_SEPARATOR;
//se registra todas las clases que se utilizaran en el proyecto
return array(
  //clases principales para sys
  'menu_class'        => $root_dir.'lib'.$sep.'sys'.$sep.'menu_class.php',
  'myUser'            => $root_dir.'lib'.$sep.'sys'.$sep.'myUser.class.php',
  'securitygdFilter'  => $root_dir.'lib'.$sep.'sys'.$sep.'securitygdFilter.class.php',
  'user_class'        => $root_dir.'lib'.$sep.'sys'.$sep.'user_class.php',
  //validacion en la hora de loguearce
  'myLoginValidator'  => $root_dir.'apps'.$sep.'sys'.$sep.'modules'.$sep.'user'.$sep.'lib'.$sep.'myLoginValidator.class.php',
  //clases de sistemas
  
  //clases interface
  'interfaceCT'       => $root_dir.'lib'.$sep.'interface'.$sep.'interfaceCT.class.php',
  'interfaceDP'       => $root_dir.'lib'.$sep.'interface'.$sep.'interfaceDP.class.php',
  //clases de Sistema de Seguridad
  'RolBL'             => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bl'.$sep.'RolBL.class.php',
  'UsuarioBL'         => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bl'.$sep.'UsuarioBL.class.php',
  'UsuarioBean'       => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'UsuarioBean.class.php',
  'RolCT'              => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'ct'.$sep.'RolCT.class.php',
  'UsuarioCT'          => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'CT'.$sep.'UsuarioCT.class.php',
  'RolDP'              => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'dp'.$sep.'RolDP.class.php',
  'UsuarioDP'          => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'dp'.$sep.'UsuarioDP.class.php',
  'UserSystemClass'   => $root_dir.'apps'.$sep.'sys'.$sep.'lib'.$sep.'class'.$sep.'UserSystemClass.class.php',
     
  'AlumnoBL'          => $root_dir.'lib'.$sep.'mnt'.$sep.'alm'.$sep.'bl'.$sep.'AlumnoBL.class.php',
  
  //clases Beans
  'BotonNavBean'      => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'BotonNavBean.class.php',
  'ControlBean'       => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'ControlBean.class.php',
  'MenuBean'          => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'MenuBean.class.php',
  'MnuTodoBean'       => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'MnuTodoBean.class.php',
  'PatronBean'        => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'PatronBean.class.php',
  'RolBean'           => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'RolBean.class.php',
  'RolTareaBean'      => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'RolTareaBean.class.php',
  'RolTareaPorCampoBean' => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'RolTareaPorCampoBean.class.php',
  'SubSistemaBean'    => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'SubSistemaBean.class.php',
  'TareaBean'         => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'TareaBean.class.php',
  'TareaPorCampoBean' => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'TareaPorCampoBean.class.php',
  'TextoDeAyudaBean'  => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'TextoDeAyudaBean.class.php',
  'UsuarioBean'       => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'bn'.$sep.'UsuarioBean.class.php',
  'AlumnoBean'          => $root_dir.'lib'.$sep.'mnt'.$sep.'alm'.$sep.'bn'.$sep.'AlumnoBean.class.php',
  
  
  //clases CT
  'RolCT'             => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'ct'.$sep.'RolCT.class.php',
  'UsuarioCT'         => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'ct'.$sep.'UsuarioCT.class.php',
  //clases DP
  'RolDP'             => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'dp'.$sep.'RolDP.class.php',
  'UsuarioDP'         => $root_dir.'lib'.$sep.'sys'.$sep.'user'.$sep.'dp'.$sep.'UsuarioDP.class.php',
  'AlumnoDP'          => $root_dir.'lib'.$sep.'mnt'.$sep.'alm'.$sep.'dp'.$sep.'AlumnoDP.class.php',
  
  //
  'DocenteBL'        => $root_dir.'lib'.$sep.'mnt'.$sep.'doc'.$sep.'bl'.$sep.'DocenteBL.class.php',
  
  'DocenteBean'        => $root_dir.'lib'.$sep.'mnt'.$sep.'doc'.$sep.'bn'.$sep.'DocenteBean.class.php',
  'DocenteCT'        => $root_dir.'lib'.$sep.'mnt'.$sep.'doc'.$sep.'ct'.$sep.'DocenteCT.class.php',
  'DocenteDP'        => $root_dir.'lib'.$sep.'mnt'.$sep.'doc'.$sep.'dp'.$sep.'DocenteDP.class.php',
  
  'ExternoBean'        => $root_dir.'lib'.$sep.'mnt'.$sep.'doc'.$sep.'bn'.$sep.'ExternoBean.class.php',
    
  'ExternoDP'        => $root_dir.'lib'.$sep.'mnt'.$sep.'doc'.$sep.'dp'.$sep.'ExternoDP.class.php',
  
  'DocenteSystemClass' => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'DocenteSystemClass.class.php',
  
  
  
  //clases para utilidades
  'arrayClass'         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'arrayClass.class.php',
  'utilJson'         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'utilJson.class.php',
  'utilString'         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'utilString.class.php',
  //Constantes
  'Constantes'         => $root_dir.'lib'.$sep.'common'.$sep.'const'.$sep.'Constantes.class.php',
  
  'Graph'         	=> $root_dir.'lib'.$sep.'common'.$sep.'jpgraph'.$sep.'jpgraph.php',
  'BarPlot'         => $root_dir.'lib'.$sep.'common'.$sep.'jpgraph'.$sep.'jpgraph_bar.php',
  
  
  //2008-10-04
  //Fedu
  'FeduCabBL'         => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'bl'.$sep.'FeduCabBL.class.php',
  'TipoFeduBL'        => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'bl'.$sep.'TipoFeduBL.class.php',
  'FeduCabBean'       => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'bn'.$sep.'FeduCabBean.class.php',
  'TipoFeduBean'      => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'bn'.$sep.'TipoFeduBean.class.php',
  'FeduCabCT'         => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'ct'.$sep.'FeduCabCT.class.php',
  'TipoFeduCT'        => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'ct'.$sep.'TipoFeduCT.class.php',
  'FeduCabDP'         => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'dp'.$sep.'FeduCabDP.class.php',
  'TipoFeduDP'        => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'dp'.$sep.'TipoFeduDP.class.php',
  
  'FeduDocenteBL'     => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'bl'.$sep.'FeduDocenteBL.class.php',
  'FeduDocenteCT'     => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'ct'.$sep.'FeduDocenteCT.class.php',
  'FeduDocenteBean'   => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'bn'.$sep.'FeduDocenteBean.class.php',
  'FeduDocenteDP'     => $root_dir.'lib'.$sep.'fu'.$sep.'fedu'.$sep.'dp'.$sep.'FeduDocenteDP.class.php',
  //Grado
  'GradoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'bl'.$sep.'GradoBL.class.php',
  'GradoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'bn'.$sep.'GradoBean.class.php',
  'GradoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'ct'.$sep.'GradoCT.class.php',
  'GradoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'dp'.$sep.'GradoDP.class.php',
  //TipoDocente
  'TipoDocenteBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tdc'.$sep.'bl'.$sep.'TipoDocenteBL.class.php',
  'TipoDocenteBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'tdc'.$sep.'bn'.$sep.'TipoDocenteBean.class.php',
  'TipoDocenteCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tdc'.$sep.'ct'.$sep.'TipoDocenteCT.class.php',
  'TipoDocenteDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tdc'.$sep.'dp'.$sep.'TipoDocenteDP.class.php',
  'TipoDocenteSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'TipoDocenteSystemClass.class.php',
  //Facultad
  'FacultadBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'bl'.$sep.'FacultadBL.class.php',
  'FacultadBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'bn'.$sep.'FacultadBean.class.php',
  'FacultadCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'ct'.$sep.'FacultadCT.class.php',
  'FacultadDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'dp'.$sep.'FacultadDP.class.php',
  //Especialidad
  'EspecialidadBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'bl'.$sep.'EspecialidadBL.class.php',
  'EspecialidadBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'bn'.$sep.'EspecialidadBean.class.php',
  'EspecialidadCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'ct'.$sep.'EspecialidadCT.class.php',
  'EspecialidadDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'fac'.$sep.'dp'.$sep.'EspecialidadDP.class.php',
  //Tipo Alumno
  'TipoAlumnoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'bl'.$sep.'TipoAlumnoBL.class.php',
  'TipoAlumnoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'bn'.$sep.'TipoAlumnoBean.class.php',
  'TipoAlumnoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'ct'.$sep.'TipoAlumnoCT.class.php',
  'TipoAlumnoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'dp'.$sep.'TipoAlumnoDP.class.php',
  
  
  
  'AlumnoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'alm'.$sep.'ct'.$sep.'AlumnoCT.class.php',
  'AlumnoSystemClass' => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'AlumnoSystemClass.class.php',
  
  
   //Externo
  'ExternoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'ext'.$sep.'bl'.$sep.'ExternoBL.class.php',
  'ExternoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'ext'.$sep.'bn'.$sep.'ExternoBean.class.php',
  'ExternoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'ext'.$sep.'ct'.$sep.'ExternoCT.class.php',
  'ExternoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'ext'.$sep.'dp'.$sep.'ExternoDP.class.php',
  'ExternoSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'ExternoSystemClass.class.php',
  
  //Grado
  'GradoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'bl'.$sep.'GradoBL.class.php',
  'GradoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'bn'.$sep.'GradoBean.class.php',
  'GradoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'ct'.$sep.'GradoCT.class.php',
  'GradoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'grd'.$sep.'dp'.$sep.'GradoDP.class.php',
  'GradoSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'GradoSystemClass.class.php',
  
  //Investigacion
  'InvestigacionBL'           => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bl'.$sep.'InvestigacionBL.class.php',
  'InvestigacionBean'         => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bn'.$sep.'InvestigacionBean.class.php',
  'InvestigacionCT'           => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'ct'.$sep.'InvestigacionCT.class.php',
  'InvestigacionDP'           => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'dp'.$sep.'InvestigacionDP.class.php',
  'InvestigacionSystemClass'  => $root_dir.'apps'.$sep.'ivn'.$sep.'lib'.$sep.'class'.$sep.'InvestigacionSystemClass.class.php',
    
  //InvestigacionDocente
  'InvestigacionDocenteBL'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bl'.$sep.'InvestigacionDocenteBL.class.php',
  'InvestigacionDocenteBean'  => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bn'.$sep.'InvestigacionDocenteBean.class.php',
  'InvestigacionDocenteCT'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'ct'.$sep.'InvestigacionDocenteCT.class.php',
  'InvestigacionDocenteDP'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'dp'.$sep.'InvestigacionDocenteDP.class.php',
    
  //InvestigacionAlumno
  'InvestigacionAlumnosBL'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bl'.$sep.'InvestigacionAlumnosBL.class.php',
  'InvestigacionAlumnosBean'  => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bn'.$sep.'InvestigacionAlumnosBean.class.php',
  'InvestigacionAlumnosCT'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'ct'.$sep.'InvestigacionAlumnosCT.class.php',
  'InvestigacionAlumnosDP'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'dp'.$sep.'InvestigacionAlumnosDP.class.php',
  
  
  //InvestigacionExterno
 /* 'InvestigacionExternoBL'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bl'.$sep.'InvestigacionExternoBL.class.php',
  'InvestigacionExternoBean'  => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'bn'.$sep.'InvestigacionExternoBean.class.php',
  'InvestigacionExternoCT'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'ct'.$sep.'InvestigacionExternoCT.class.php',
  'InvestigacionExternoDP'    => $root_dir.'lib'.$sep.'ivn'.$sep.'ivn'.$sep.'dp'.$sep.'InvestigacionExternoDP.class.php',*/

  
  
  
  //navigation
  'navigation'                    =>  $root_dir.'plugins'.$sep.'sfToolsPlugin'.$sep.'modules'.$sep.'navigation'.$sep.'navigation.class.php',
  
  //Tipo Investigacion
  'TipoInvestigacionBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tin'.$sep.'bl'.$sep.'TipoInvestigacionBL.class.php',
  'TipoInvestigacionBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'tin'.$sep.'bn'.$sep.'TipoInvestigacionBean.class.php',
  'TipoInvestigacionCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tin'.$sep.'ct'.$sep.'TipoInvestigacionCT.class.php',
  'TipoInvestigacionDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tin'.$sep.'dp'.$sep.'TipoInvestigacionDP.class.php',
  
  //Tesis
  'TesisBL'           => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bl'.$sep.'TesisBL.class.php',
  'TesisBean'         => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bn'.$sep.'TesisBean.class.php',
  'TesisCT'           => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'ct'.$sep.'TesisCT.class.php',
  'TesisDP'           => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'dp'.$sep.'TesisDP.class.php',
  'TesisSystemClass'  => $root_dir.'apps'.$sep.'te'.$sep.'lib'.$sep.'class'.$sep.'TesisSystemClass.class.php',
    
  //TesisDocente
  'TesisDocenteBL'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bl'.$sep.'TesisDocenteBL.class.php',
  'TesisDocenteBean'  => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bn'.$sep.'TesisDocenteBean.class.php',
  'TesisDocenteCT'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'ct'.$sep.'TesisDocenteCT.class.php',
  'TesisDocenteDP'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'dp'.$sep.'TesisDocenteDP.class.php',
    
  //TesisAlumno
  'TesisAlumnoBL'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bl'.$sep.'TesisAlumnoBL.class.php',
  'TesisAlumnoBean'  => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bn'.$sep.'TesisAlumnoBean.class.php',
  'TesisAlumnoCT'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'ct'.$sep.'TesisAlumnoCT.class.php',
  'TesisAlumnoDP'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'dp'.$sep.'TesisAlumnoDP.class.php',
  
  
  //TesisExterno
  'TesisExternoBL'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bl'.$sep.'TesisExternoBL.class.php',
  'TesisExternoBean'  => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'bn'.$sep.'TesisExternoBean.class.php',
  'TesisExternoCT'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'ct'.$sep.'TesisExternoCT.class.php',
  'TesisExternoDP'    => $root_dir.'lib'.$sep.'te'.$sep.'te'.$sep.'dp'.$sep.'TesisExternoDP.class.php',
  
  
  //Pais
  'PaisBL'    => $root_dir.'lib'.$sep.'mnt'.$sep.'pai'.$sep.'bl'.$sep.'PaisBL.class.php',
  'PaisBean'  => $root_dir.'lib'.$sep.'mnt'.$sep.'pai'.$sep.'bn'.$sep.'PaisBean.class.php',
  'PaisCT'    => $root_dir.'lib'.$sep.'mnt'.$sep.'pai'.$sep.'ct'.$sep.'PaisCT.class.php',
  'PaisDP'    => $root_dir.'lib'.$sep.'mnt'.$sep.'pai'.$sep.'dp'.$sep.'PaisDP.class.php',
  
  //Tipo Empleado
  'ColaboradorBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'rep'.$sep.'bl'.$sep.'ColaboradorBL.class.php',
  'ColaboradorBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'rep'.$sep.'bn'.$sep.'ColaboradorBean.class.php',
  'ColaboradorCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'rep'.$sep.'ct'.$sep.'ColaboradorCT.class.php',
  'ColaboradorDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'rep'.$sep.'dp'.$sep.'ColaboradorDP.class.php',
  'ColaboradorSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'ColaboradorSystemClass.class.php',
  
  //Tipo Negocio
  'TipoNegocioBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'bl'.$sep.'TipoNegocioBL.class.php',
  'TipoNegocioBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'bn'.$sep.'TipoNegocioBean.class.php',
  'TipoNegocioCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'ct'.$sep.'TipoNegocioCT.class.php',
  'TipoNegocioDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tne'.$sep.'dp'.$sep.'TipoNegocioDP.class.php',
  'TipoNegocioSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'TipoNegocioSystemClass.class.php', 
  
  
  //Documento
  
  'DocumentoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tid'.$sep.'bl'.$sep.'DocumentoBL.class.php',
  'DocumentoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'tid'.$sep.'bn'.$sep.'DocumentoBean.class.php',
  'DocumentoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tid'.$sep.'ct'.$sep.'DocumentoCT.class.php',
  'DocumentoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tid'.$sep.'dp'.$sep.'DocumentoDP.class.php',
  'DocumentoSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'DocumentoSystemClass.class.php', 
  
   //Mercado
  
  'MercadoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'bl'.$sep.'MercadoBL.class.php',
  'MercadoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'bn'.$sep.'MercadoBean.class.php',
  'MercadoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'ct'.$sep.'MercadoCT.class.php',
  'MercadoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'dp'.$sep.'MercadoDP.class.php',
  'MercadoSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'MercadoSystemClass.class.php',
   
   //MercadoRepresentante
  'MercadoRepresentanteBL'    => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'bl'.$sep.'MercadoRepresentanteBL.class.php',
  'MercadoRepresentanteBean'  => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'bn'.$sep.'MercadoRepresentanteBean.class.php',
  'MercadoRepresentanteCT'    => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'ct'.$sep.'MercadoRepresentanteCT.class.php',
  'MercadoRepresentanteDP'    => $root_dir.'lib'.$sep.'mnt'.$sep.'mer'.$sep.'dp'.$sep.'MercadoRepresentanteDP.class.php',

  //SucursalMercado
  'SucursalMercadoBL'    => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'bl'.$sep.'SucursalMercadoBL.class.php',
  'SucursalMercadoBean'  => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'bn'.$sep.'SucursalMercadoBean.class.php',
  'SucursalMercadoCT'    => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'ct'.$sep.'SucursalMercadoCT.class.php',
  'SucursalMercadoDP'    => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'dp'.$sep.'SucursalMercadoDP.class.php',
 
  
  
   //Sucursal
  
  'SucursalBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'bl'.$sep.'SucursalBL.class.php',
  'SucursalBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'bn'.$sep.'SucursalBean.class.php',
  'SucursalCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'ct'.$sep.'SucursalCT.class.php',
  'SucursalDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'suc'.$sep.'dp'.$sep.'SucursalDP.class.php',
  'SucursalSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'SucursalSystemClass.class.php',
  
   //Tipo Colaborador
  
  'TipoColaboradorRolBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tco'.$sep.'bl'.$sep.'TipoColaboradorRolBL.class.php',
  'TipoColaboradorRolBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'tco'.$sep.'bn'.$sep.'TipoColaboradorRolBean.class.php',
  'TipoColaboradorRolCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tco'.$sep.'ct'.$sep.'TipoColaboradorRolCT.class.php',
  'TipoColaboradorRolDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'tco'.$sep.'dp'.$sep.'TipoColaboradorRolDP.class.php',
  'TipoColaboradorRolSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'TipoColaboradorRolSystemClass.class.php',
  
   //Cliente
 
  'ClienteBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'bl'.$sep.'ClienteBL.class.php',
  'ClienteBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'bn'.$sep.'ClienteBean.class.php',
  'ClienteCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'ct'.$sep.'ClienteCT.class.php',
  'ClienteDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'dp'.$sep.'ClienteDP.class.php',
  'ClienteSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'ClienteSystemClass.class.php',
  
  
  //DocumentoCliente
  
  'DocumentoClienteBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'bl'.$sep.'DocumentoClienteBL.class.php',
  'DocumentoClienteBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'bn'.$sep.'DocumentoClienteBean.class.php',
  'DocumentoClienteCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'ct'.$sep.'DocumentoClienteCT.class.php',
  'DocumentoClienteDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'cli'.$sep.'dp'.$sep.'DocumentoClienteDP.class.php',
  
   
  
  //Capital Inicial
  'CapitalInicialBL'           => $root_dir.'lib'.$sep.'op'.$sep.'iop'.$sep.'bl'.$sep.'CapitalInicialBL.class.php',
  'CapitalInicialBean'         => $root_dir.'lib'.$sep.'op'.$sep.'iop'.$sep.'bn'.$sep.'CapitalInicialBean.class.php',
  'CapitalInicialCT'           => $root_dir.'lib'.$sep.'op'.$sep.'iop'.$sep.'ct'.$sep.'CapitalInicialCT.class.php',
  'CapitalInicialDP'           => $root_dir.'lib'.$sep.'op'.$sep.'iop'.$sep.'dp'.$sep.'CapitalInicialDP.class.php',
  'CapitalInicialSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'CapitalInicialSystemClass.class.php',

  
  //Prestamos
 
  'PrestamoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'pre'.$sep.'bl'.$sep.'PrestamoBL.class.php',
  'PrestamoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'pre'.$sep.'bn'.$sep.'PrestamoBean.class.php',
  'PrestamoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'pre'.$sep.'ct'.$sep.'PrestamoCT.class.php',
  'PrestamoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'pre'.$sep.'dp'.$sep.'PrestamoDP.class.php',
  'PrestamoSystemClass'  => $root_dir.'apps'.$sep.'mnt'.$sep.'lib'.$sep.'class'.$sep.'PrestamoSystemClass.class.php',
  
  //'CapitalInicialSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'CapitalInicialSystemClass.class.php',
  
  //Pagos
 
  'PagoBL'           => $root_dir.'lib'.$sep.'mnt'.$sep.'pag'.$sep.'bl'.$sep.'PagoBL.class.php',
  'PagoBean'         => $root_dir.'lib'.$sep.'mnt'.$sep.'pag'.$sep.'bn'.$sep.'PagoBean.class.php',
  'PagoCT'           => $root_dir.'lib'.$sep.'mnt'.$sep.'pag'.$sep.'ct'.$sep.'PagoCT.class.php',
  'PagoDP'           => $root_dir.'lib'.$sep.'mnt'.$sep.'pag'.$sep.'dp'.$sep.'PagoDP.class.php',
  //'CapitalInicialSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'CapitalInicialSystemClass.class.php',
  
  //Adelantos
 
  'AdelantoBL'           => $root_dir.'lib'.$sep.'op'.$sep.'ads'.$sep.'bl'.$sep.'AdelantoBL.class.php',
  'AdelantoBean'         => $root_dir.'lib'.$sep.'op'.$sep.'ads'.$sep.'bn'.$sep.'AdelantoBean.class.php',
  'AdelantoCT'           => $root_dir.'lib'.$sep.'op'.$sep.'ads'.$sep.'ct'.$sep.'AdelantoCT.class.php',
  'AdelantoDP'           => $root_dir.'lib'.$sep.'op'.$sep.'ads'.$sep.'dp'.$sep.'AdelantoDP.class.php',
  'AdelantoSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'AdelantoSystemClass.class.php',
  
  //Gastos Generales
 
  'GastosGeneralesBL'           => $root_dir.'lib'.$sep.'op'.$sep.'gge'.$sep.'bl'.$sep.'GastosGeneralesBL.class.php',
  'GastosGeneralesBean'         => $root_dir.'lib'.$sep.'op'.$sep.'gge'.$sep.'bn'.$sep.'GastosGeneralesBean.class.php',
  'GastosGeneralesCT'           => $root_dir.'lib'.$sep.'op'.$sep.'gge'.$sep.'ct'.$sep.'GastosGeneralesCT.class.php',
  'GastosGeneralesDP'           => $root_dir.'lib'.$sep.'op'.$sep.'gge'.$sep.'dp'.$sep.'GastosGeneralesDP.class.php',
  'GastosGeneralesSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'GastosGeneralesSystemClass.class.php',
  
  //Ingresos Diversos
 
  'IngresoDiversosBL'           => $root_dir.'lib'.$sep.'op'.$sep.'ind'.$sep.'bl'.$sep.'IngresoDiversosBL.class.php',
  'IngresoDiversosBean'         => $root_dir.'lib'.$sep.'op'.$sep.'ind'.$sep.'bn'.$sep.'IngresoDiversosBean.class.php',
  'IngresoDiversosCT'           => $root_dir.'lib'.$sep.'op'.$sep.'ind'.$sep.'ct'.$sep.'IngresoDiversosCT.class.php',
  'IngresoDiversosDP'           => $root_dir.'lib'.$sep.'op'.$sep.'ind'.$sep.'dp'.$sep.'IngresoDiversosDP.class.php',
  'IngresoDiversosSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'IngresoDiversosSystemClass.class.php',
  
  
  //Sobrantes Faltantes
 
  'SobranteFaltanteBL'           => $root_dir.'lib'.$sep.'op'.$sep.'sof'.$sep.'bl'.$sep.'SobranteFaltanteBL.class.php',
  'SobranteFaltanteBean'         => $root_dir.'lib'.$sep.'op'.$sep.'sof'.$sep.'bn'.$sep.'SobranteFaltanteBean.class.php',
  'SobranteFaltanteCT'           => $root_dir.'lib'.$sep.'op'.$sep.'sof'.$sep.'ct'.$sep.'SobranteFaltanteCT.class.php',
  'SobranteFaltanteDP'           => $root_dir.'lib'.$sep.'op'.$sep.'sof'.$sep.'dp'.$sep.'SobranteFaltanteDP.class.php',
  'SobranteFaltanteSystemClass'  => $root_dir.'apps'.$sep.'op'.$sep.'lib'.$sep.'class'.$sep.'SobranteFaltanteSystemClass.class.php',
  
  
  
  //Balance Diario
  'BalanceDiaBL'    => $root_dir.'lib'.$sep.'op'.$sep.'bdi'.$sep.'bl'.$sep.'BalanceDiaBL.class.php',
  'BalanceDiaBean'  => $root_dir.'lib'.$sep.'op'.$sep.'bdi'.$sep.'bn'.$sep.'BalanceDiaBean.class.php',
  'BalanceDiaCT'    => $root_dir.'lib'.$sep.'op'.$sep.'bdi'.$sep.'ct'.$sep.'BalanceDiaCT.class.php',
  'BalanceDiaDP'    => $root_dir.'lib'.$sep.'op'.$sep.'bdi'.$sep.'dp'.$sep.'BalanceDiaDP.class.php',

  
  //Balance Generalrio
  'BalanceGeneralBL'    => $root_dir.'lib'.$sep.'op'.$sep.'bdg'.$sep.'bl'.$sep.'BalanceGeneralBL.class.php',
  'BalanceGeneralBean'  => $root_dir.'lib'.$sep.'op'.$sep.'bdg'.$sep.'bn'.$sep.'BalanceGeneralBean.class.php',
  'BalanceGeneralCT'    => $root_dir.'lib'.$sep.'op'.$sep.'bdg'.$sep.'ct'.$sep.'BalanceGeneralCT.class.php',
  'BalanceGeneralDP'    => $root_dir.'lib'.$sep.'op'.$sep.'bdg'.$sep.'dp'.$sep.'BalanceGeneralDP.class.php',
  
   //NUEVO Promedio Prestamo
  'PromedioPrestamoBean'  => $root_dir.'lib'.$sep.'op'.$sep.'bdg'.$sep.'bn'.$sep.'PromedioPrestamoBean.class.php',
  'PromedioPrestamoDP'    => $root_dir.'lib'.$sep.'op'.$sep.'bdg'.$sep.'dp'.$sep.'PromedioPrestamoDP.class.php',

  
  //Nueva utilidad
  'PHPMailer'                     => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'_mail/phpmailer.class.php',
  
  //Nueva utilidad
  'SMTP'                     => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'_mail/smtp.class.php',
  
  //clase pdf
  'FPDF'                         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'fpdf.php',
  //'FPDF2'                         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'fpdf2.php',
  //'HTMLTOOLKIT'                         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'htmltoolkit.php',
  //'HTML2FPDF'                         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'html2fpdf.php',
  'TCPDF'                         => $root_dir.'lib'.$sep.'common'.$sep.'class'.$sep.'tcpdf.php',
  
   //OPERACIONES -> PEDIDOS
    'BaseCrPedidocabeceraBN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'bn'.$sep.'base'.$sep.'BaseCrPedidocabeceraBN.class.php',
    'BaseCrPedidodetalleBN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'bn'.$sep.'base'.$sep.'BaseCrPedidodetalleBN.class.php',
    'CrPedidocabeceraBN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'bn'.$sep.'CrPedidocabeceraBN.class.php',
    'CrPedidodetalleBN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'bn'.$sep.'CrPedidodetalleBN.class.php',
    'BaseCrPedidocabeceraDP' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'dp'.$sep.'base'.$sep.'BaseCrPedidocabeceraDP.class.php',
    'BaseCrPedidodetalleDP' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'dp'.$sep.'base'.$sep.'BaseCrPedidodetalleDP.class.php',
    'CrPedidocabeceraDP' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'dp'.$sep.'CrPedidocabeceraDP.class.php',
    'CrPedidodetalleDP' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'dp'.$sep.'CrPedidodetalleDP.class.php',
	'BaseCrPedidocabeceraFN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'fn'.$sep.'base'.$sep.'BaseCrPedidocabeceraFN.class.php',
	'BaseCrPedidodetalleFN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'fn'.$sep.'base'.$sep.'BaseCrPedidodetalleFN.class.php',
	'CrPedidocabeceraFN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'fn'.$sep.'CrPedidocabeceraFN.class.php',
	'CrPedidodetalleFN' => $root_dir.'lib'.$sep.'op'.$sep.'pdo'.$sep.'fn'.$sep.'CrPedidodetalleFN.class.php',
    /////////////////////////
    
	  
  //Inasistencia
  
  'CrAsistenciaBN'           => $root_dir.'lib'.$sep.'op'.$sep.'asistencia'.$sep.'bn'.$sep.'CrAsistenciaBN.class.php',
  'CrAsistenciaDP'           => $root_dir.'lib'.$sep.'op'.$sep.'asistencia'.$sep.'dp'.$sep.'CrAsistenciaDP.class.php',
  'CrAsistenciaFN'         	 => $root_dir.'lib'.$sep.'op'.$sep.'asistencia'.$sep.'fn'.$sep.'CrAsistenciaFN.class.php',
  
  'BaseCrAsistenciaBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'asistencia'.$sep.'bn'.$sep.'base'.$sep.'BaseCrAsistenciaBN.class.php',
  'BaseCrAsistenciaDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'asistencia'.$sep.'dp'.$sep.'base'.$sep.'BaseCrAsistenciaDP.class.php',
  'BaseCrAsistenciaFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'asistencia'.$sep.'fn'.$sep.'base'.$sep.'BaseCrAsistenciaFN.class.php',
  
 
    
     //Nuevo Cierre de pedidos
  'CierrePedidoBL'           => $root_dir.'lib'.$sep.'op'.$sep.'cierrepedido'.$sep.'bl'.$sep.'CierrePedidoBL.class.php',
  'CierrePedidoBean'         => $root_dir.'lib'.$sep.'op'.$sep.'cierrepedido'.$sep.'bn'.$sep.'CierrePedidoBean.class.php',
  'CierrePedidoCT'           => $root_dir.'lib'.$sep.'op'.$sep.'cierrepedido'.$sep.'ct'.$sep.'CierrePedidoCT.class.php',
  'CierrePedidoDP'           => $root_dir.'lib'.$sep.'op'.$sep.'cierrepedido'.$sep.'dp'.$sep.'CierrePedidoDP.class.php',
  
   'CrTransfCabeceraFN'        => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'FN'.$sep.'CrTransfCabeceraFN.class.php',
  'CrTransfDetalleFN'           => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'FN'.$sep.'CrTransfDetalleFN.class.php',
  'BaseCrTransfCabeceraFN'    => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BFN'.$sep.'BaseCrTransfCabeceraFN.class.php',
  'BaseCrTransfDetalleFN'       => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BFN'.$sep.'BaseCrTransfDetalleFN.class.php',
  
  'CrTransfCabeceraBN'        => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BN'.$sep.'CrTransfCabeceraBN.class.php',
  'CrTransfDetalleBN'           => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BN'.$sep.'CrTransfDetalleBN.class.php',
  'BaseCrTransfCabeceraBN'    => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BBN'.$sep.'BaseCrTransfCabeceraBN.class.php',
  'BaseCrTransfDetalleBN'       => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BBN'.$sep.'BaseCrTransfDetalleBN.class.php',
    
  
   //Retiro de capital
  
  'CrRetirocapitalBN'           => $root_dir.'lib'.$sep.'op'.$sep.'retiro'.$sep.'bn'.$sep.'CrRetirocapitalBN.class.php',
  'CrRetirocapitalDP'           => $root_dir.'lib'.$sep.'op'.$sep.'retiro'.$sep.'dp'.$sep.'CrRetirocapitalDP.class.php',
  'CrRetirocapitalFN'         	 => $root_dir.'lib'.$sep.'op'.$sep.'retiro'.$sep.'fn'.$sep.'CrRetirocapitalFN.class.php',
  
  'BaseCrRetirocapitalBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'retiro'.$sep.'bn'.$sep.'base'.$sep.'BaseCrRetirocapitalBN.class.php',
  'BaseCrRetirocapitalDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'retiro'.$sep.'dp'.$sep.'base'.$sep.'BaseCrRetirocapitalDP.class.php',
  'BaseCrRetirocapitalFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'retiro'.$sep.'fn'.$sep.'base'.$sep.'BaseCrRetirocapitalFN.class.php',
  
  //Planilla
  'BaseCrPlanillaBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BBN'.$sep.'BaseCrPlanillaBN.class.php',
  'BaseCrPlanillaConceptoBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BBN'.$sep.'BaseCrPlanillaConceptoBN.class.php',
  'BaseCrPlanillaConceptoPerBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BBN'.$sep.'BaseCrPlanillaConceptoPerBN.class.php',
  'BaseCrPlanillaPeriodoBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BBN'.$sep.'BaseCrPlanillaPeriodoBN.class.php',
  
  'BaseCrPlanillaConceptoDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BDP'.$sep.'BaseCrPlanillaConceptoDP.class.php',
  'BaseCrPlanillaConceptoPerDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BDP'.$sep.'BaseCrPlanillaConceptoPerDP.class.php',
  'BaseCrPlanillaDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BDP'.$sep.'BaseCrPlanillaDP.class.php',
  'BaseCrPlanillaPeriodoDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BDP'.$sep.'BaseCrPlanillaPeriodoDP.class.php',
  
  'BaseCrPlanillaConceptoFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BFN'.$sep.'BaseCrPlanillaConceptoFN.class.php',
  'BaseCrPlanillaConceptoPerFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BFN'.$sep.'BaseCrPlanillaConceptoPerFN.class.php',
  'BaseCrPlanillaFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BFN'.$sep.'BaseCrPlanillaFN.class.php',
  'BaseCrPlanillaPeriodoFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BFN'.$sep.'BaseCrPlanillaPeriodoFN.class.php',
  
  
  'CrPlanillaBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BN'.$sep.'CrPlanillaBN.class.php',
  'CrPlanillaConceptoBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BN'.$sep.'CrPlanillaConceptoBN.class.php',
  'CrPlanillaConceptoPerBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BN'.$sep.'CrPlanillaConceptoPerBN.class.php',
  'CrPlanillaPeriodoBN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'BN'.$sep.'CrPlanillaPeriodoBN.class.php',
  
  
  'CrPlanillaConceptoDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'DP'.$sep.'CrPlanillaConceptoDP.class.php',
  'CrPlanillaConceptoPerDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'DP'.$sep.'CrPlanillaConceptoPerDP.class.php',
  'CrPlanillaDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'DP'.$sep.'CrPlanillaDP.class.php',
  'CrPlanillaPeriodoDP' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'DP'.$sep.'CrPlanillaPeriodoDP.class.php',
  
  'CrPlanillaConceptoFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'FN'.$sep.'CrPlanillaConceptoFN.class.php',
  'CrPlanillaConceptoPerFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'FN'.$sep.'CrPlanillaConceptoPerFN.class.php',
  'CrPlanillaFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'FN'.$sep.'CrPlanillaFN.class.php',
  'CrPlanillaPeriodoFN' 		=> $root_dir.'lib'.$sep.'op'.$sep.'planilla'.$sep.'FN'.$sep.'CrPlanillaPeriodoFN.class.php',

  //Ubigeo
  
  'SgMstUbigeoBN'           => $root_dir.'lib'.$sep.'mnt'.$sep.'ubigeo'.$sep.'bn'.$sep.'SgMstUbigeoBN.class.php',
  'SgMstUbigeoFN'         	 => $root_dir.'lib'.$sep.'mnt'.$sep.'ubigeo'.$sep.'fn'.$sep.'SgMstUbigeoFN.class.php',
  
  'BaseSgMstUbigeoBN' 		=> $root_dir.'lib'.$sep.'mnt'.$sep.'ubigeo'.$sep.'bn'.$sep.'base'.$sep.'BaseSgMstUbigeoBN.class.php',
  'BaseSgMstUbigeoDP' 		=> $root_dir.'lib'.$sep.'mnt'.$sep.'ubigeo'.$sep.'dp'.$sep.'base'.$sep.'BaseSgMstUbigeoDP.class.php',
  'BaseSgMstUbigeoFN' 		=> $root_dir.'lib'.$sep.'mnt'.$sep.'ubigeo'.$sep.'fn'.$sep.'base'.$sep.'BaseSgMstUbigeoFN.class.php',
  
  //Fin planilla
  'CrTransfCabeceraDP'        => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'DP'.$sep.'CrTransfCabeceraDP.class.php',
  'CrTransfDetalleDP'           => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'DP'.$sep.'CrTransfDetalleDP.class.php',
  'BaseCrTransfCabeceraDP'    => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BDP'.$sep.'BaseCrTransfCabeceraDP.class.php',
  'BaseCrTransfDetalleDP'       => $root_dir.'lib'.$sep.'modelo_alfa_ext1'.$sep.'BDP'.$sep.'BaseCrTransfDetalleDP.class.php'
);


