<?php
/**
 * Clase Base FN para BasePlaEmpresaColaboradorPerFN
 *
 * @package    
 * @subpackage BasePlaEmpresaColaboradorPerFN
 * @author     Willy
 * @version    SVN:: BasePlaEmpresaColaboradorPerFN.class.php,v 1.1 2022-07-23 14:31:18 william.taype Exp $
 */
class BasePlaEmpresaColaboradorPerFN extends PlaEmpresaColaboradorPerBN
{
  private static $fieldNames = array (
    'Periodo'=>'Periodo', 'IdEmpresa'=>'IdEmpresa', 'IdColaborador'=>'IdColaborador', 'FechaCreacion'=>'FechaCreacion', 'UsuarioCreacion'=>'UsuarioCreacion'  
  );

  public function select()
  {
    try
    {
      $tamPag = !property_exists($this, 'tamPag')?9999:$this->tamPag;
      $pagina = !property_exists($this, 'page')||$this->page==""?1:$this->page;
      $numeroRegistros = $this->selectNumRows();
      $limitInf = ($pagina-1)*$tamPag;

      $where = $this->buildConsult();
      $orden = $this->buildOrderByField();

      $con = Conexion::getConexion();
      $sql = "SELECT Periodo, IdEmpresa, IdColaborador, FechaCreacion, UsuarioCreacion FROM pla_empresa_colaborador_per WHERE 1 ".$where." ".$orden."  LIMIT ".$limitInf.",".$tamPag;
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $num_rows = mysql_num_rows($result);
      $a_tmp = array();
      if($num_rows>0){
        while ($o_valor = mysql_fetch_object($result)) {
          $a_tmp[] = $this->insertObjectBN($o_valor);
        }
      }
      
      return count($a_tmp)>0?$a_tmp:null;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  public function selectNumRows()
  {
    try
    {
      $where = $this->buildConsult();

      $con = Conexion::getConexion();
      $sql = "SELECT Periodo, IdEmpresa, IdColaborador, FechaCreacion, UsuarioCreacion FROM pla_empresa_colaborador_per WHERE 1 ".$where;
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $num_rows = mysql_num_rows($result);
      
      return $num_rows;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  public function buildConsult()
  {
    try
    {
      $where = "";

      if($this->getPeriodo()){ $where .= " AND periodo = '".$this->getPeriodo()."'"; }
      if($this->getIdEmpresa()){ $where .= " AND idempresa = '".$this->getIdEmpresa()."'"; }
      if($this->getIdColaborador()){ $where .= " AND idcolaborador = '".$this->getIdColaborador()."'"; }
      if($this->getFechaCreacion()){ $where .= " AND fechacreacion = '".$this->getFechaCreacion()."'"; }
      if($this->getUsuarioCreacion()){ $where .= " AND usuariocreacion = '".$this->getUsuarioCreacion()."'"; }
      return $where;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  public function buildOrderByField()
  {
    try
    {
      $order_by = "";

      if(property_exists($this,'sortCampos')){
      if($this->sortCampos != ""){
        $a_valCampos = explode(";", $this->sortCampos);
        $a_valtype   = explode(";", $this->sortType);
        $order_by = " ORDER BY ";
        $a_order = array();
        foreach ($a_valCampos as $key => $val){
          $sTmpOrder = "";
          if(array_key_exists($val, self::$fieldNames)){
            $sTmpOrder .= self::$fieldNames[$val];
            switch ($a_valtype[$key]){
              case 1: $sTmpOrder .= " ASC"; break;
              case 2: $sTmpOrder .= " DESC"; break;
            }
            $a_order[] = $sTmpOrder;
          }
        }
        $order_by .= implode(", ", $a_order);
      }
      }
      return $order_by;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  /* Bsqueda del registro por la llave primaria */
  public function selectByPK()
  {
    try
    {
      $con = Conexion::getConexion();
      $sql = "SELECT Periodo, IdEmpresa, IdColaborador, FechaCreacion, UsuarioCreacion FROM pla_empresa_colaborador_per WHERE 1 AND Periodo='".$this->getPeriodo()."' AND IdEmpresa='".$this->getIdEmpresa()."' AND IdColaborador='".$this->getIdColaborador()."'; ";
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $o_Propel = $result ? mysql_fetch_object($result) : null;
      

      return $o_Propel?$this->insertObjectBN($o_Propel):null;

    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  /* Devuelve un objeto con mtodos de acceso */
  private function insertObjectBN($o_propel){
    $o_BasePlaEmpresaColaboradorPerFN = new BasePlaEmpresaColaboradorPerFN();
    $o_BasePlaEmpresaColaboradorPerFN->setPeriodo($o_propel->Periodo);
    $o_BasePlaEmpresaColaboradorPerFN->setIdEmpresa($o_propel->IdEmpresa);
    $o_BasePlaEmpresaColaboradorPerFN->setIdColaborador($o_propel->IdColaborador);
    $o_BasePlaEmpresaColaboradorPerFN->setFechaCreacion($o_propel->FechaCreacion);
    $o_BasePlaEmpresaColaboradorPerFN->setUsuarioCreacion($o_propel->UsuarioCreacion);
    return $o_BasePlaEmpresaColaboradorPerFN;
  }
}