<?php
/**
 * Clase Base FN para BaseArArqueoDetalleDepositoFN
 *
 * @package    
 * @subpackage BaseArArqueoDetalleDepositoFN
 * @author     Willy
 * @version    SVN:: BaseArArqueoDetalleDepositoFN.class.php,v 1.1 2020-07-01 22:10:05 william.taype Exp $
 */
class BaseArArqueoDetalleDepositoFN extends ArArqueoDetalleDepositoBN
{
  private static $fieldNames = array (
    'Idclase'=>'idclase', 'Idsucursal'=>'idsucursal', 'Idmercado'=>'idmercado', 'Idcolaborador'=>'idcolaborador', 'Fecha'=>'fecha', 'Idcliente'=>'idcliente', 'Idprestamo'=>'idprestamo', 'Nombrecliente'=>'nombrecliente', 'Idbanco'=>'idbanco', 'Idcuenta'=>'idcuenta', 'Banco'=>'banco', 'Numerocuenta'=>'numerocuenta', 'Fechadeposito'=>'fechadeposito', 'Numeroboucher'=>'numeroboucher', 'Subtotal'=>'subtotal', 'Estado'=>'estado', 'Idpagoreferencia'=>'idpagoreferencia', 'Fecharegistro'=>'fecharegistro', 'Usuarioregistro'=>'usuarioregistro'  
  );

  public function select()
  {
    try
    {
      $tamPag = !property_exists($this, 'tamPag')?9999:$this->tamPag;
      $pagina = !property_exists($this, 'page')||$this->page==""?1:$this->page;
      $numeroRegistros = $this->selectNumRows();
      $limitInf = ($pagina-1)*$tamPag;

      $where = $this->buildConsult();
      $orden = $this->buildOrderByField();

      $con = Conexion::getConexion();
      $sql = "SELECT idclase, idsucursal, idmercado, idcolaborador, fecha, idcliente, idprestamo, nombrecliente, idbanco, idcuenta, banco, numerocuenta, fechadeposito, numeroboucher, subtotal, estado,nombrearchivo, idpagoreferencia, fecharegistro, usuarioregistro FROM ar_arqueo_detalle_deposito WHERE 1 ".$where." ".$orden."  LIMIT ".$limitInf.",".$tamPag;
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $num_rows = mysql_num_rows($result);
      $a_tmp = array();
      if($num_rows>0){
        while ($o_valor = mysql_fetch_object($result)) {
          $a_tmp[] = $this->insertObjectBN($o_valor);
        }
      }
      
      return count($a_tmp)>0?$a_tmp:null;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  public function selectNumRows()
  {
    try
    {
      $where = $this->buildConsult();

      $con = Conexion::getConexion();
      $sql = "SELECT idclase, idsucursal, idmercado, idcolaborador, fecha, idcliente, idprestamo, nombrecliente, idbanco, idcuenta, banco, numerocuenta, fechadeposito, numeroboucher, subtotal, estado, idpagoreferencia, fecharegistro, usuarioregistro FROM ar_arqueo_detalle_deposito WHERE 1 ".$where;
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $num_rows = mysql_num_rows($result);
      
      return $num_rows;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  public function buildConsult()
  {
    try
    {
      $where = "";

      if($this->getIdclase()){ $where .= " AND idclase = '".$this->getIdclase()."'"; }
      if($this->getIdsucursal()){ $where .= " AND idsucursal = '".$this->getIdsucursal()."'"; }
      if($this->getIdmercado()){ $where .= " AND idmercado = '".$this->getIdmercado()."'"; }
      if($this->getIdcolaborador()){ $where .= " AND idcolaborador = '".$this->getIdcolaborador()."'"; }
      if($this->getFecha()){ $where .= " AND fecha = '".$this->getFecha()."'"; }
      if($this->getIdcliente()){ $where .= " AND idcliente = '".$this->getIdcliente()."'"; }
      if($this->getIdprestamo()){ $where .= " AND idprestamo = '".$this->getIdprestamo()."'"; }
      if($this->getNombrecliente()){ $where .= " AND nombrecliente = '".$this->getNombrecliente()."'"; }
      if($this->getIdbanco()){ $where .= " AND idbanco = '".$this->getIdbanco()."'"; }
      if($this->getIdcuenta()){ $where .= " AND idcuenta = '".$this->getIdcuenta()."'"; }
      if($this->getBanco()){ $where .= " AND banco = '".$this->getBanco()."'"; }
      if($this->getNumerocuenta()){ $where .= " AND numerocuenta = '".$this->getNumerocuenta()."'"; }
      if($this->getFechadeposito()){ $where .= " AND fechadeposito = '".$this->getFechadeposito()."'"; }
      if($this->getNumeroboucher()){ $where .= " AND numeroboucher = '".$this->getNumeroboucher()."'"; }
      if($this->getSubtotal()){ $where .= " AND subtotal = '".$this->getSubtotal()."'"; }
      if($this->getEstado()){ $where .= " AND estado = '".$this->getEstado()."'"; }
      if($this->getIdpagoreferencia()){ $where .= " AND idpagoreferencia = '".$this->getIdpagoreferencia()."'"; }
      if($this->getFecharegistro()){ $where .= " AND fecharegistro = '".$this->getFecharegistro()."'"; }
      if($this->getUsuarioregistro()){ $where .= " AND usuarioregistro = '".$this->getUsuarioregistro()."'"; }
      return $where;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  public function buildOrderByField()
  {
    try
    {
      $order_by = "";

      if(property_exists($this,'sortCampos')){
      if($this->sortCampos != ""){
        $a_valCampos = explode(";", $this->sortCampos);
        $a_valtype   = explode(";", $this->sortType);
        $order_by = " ORDER BY ";
        $a_order = array();
        foreach ($a_valCampos as $key => $val){
          $sTmpOrder = "";
          if(array_key_exists($val, self::$fieldNames)){
            $sTmpOrder .= self::$fieldNames[$val];
            switch ($a_valtype[$key]){
              case 1: $sTmpOrder .= " ASC"; break;
              case 2: $sTmpOrder .= " DESC"; break;
            }
            $a_order[] = $sTmpOrder;
          }
        }
        $order_by .= implode(", ", $a_order);
      }
      }
      return $order_by;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  /* Bsqueda del registro por la llave primaria */
  public function selectByPK()
  {
    try
    {
      $con = Conexion::getConexion();
      $sql = "SELECT idclase, idsucursal, idmercado, idcolaborador, fecha, idcliente, idprestamo, nombrecliente, idbanco, idcuenta, banco, numerocuenta, fechadeposito, numeroboucher, subtotal, estado, nombrearchivo,idpagoreferencia, fecharegistro, usuarioregistro FROM ar_arqueo_detalle_deposito WHERE 1 AND idclase='".$this->getIdclase()."' AND idsucursal='".$this->getIdsucursal()."' AND idmercado='".$this->getIdmercado()."' AND idcolaborador='".$this->getIdcolaborador()."' AND fecha='".$this->getFecha()."' AND idcliente='".$this->getIdcliente()."' AND idprestamo='".$this->getIdprestamo()."'; ";
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $o_Propel = $result ? mysql_fetch_object($result) : null;
      

      return $o_Propel?$this->insertObjectBN($o_Propel):null;

    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  /* Devuelve un objeto con mtodos de acceso */
  private function insertObjectBN($o_propel){
    $o_BaseArArqueoDetalleDepositoFN = new BaseArArqueoDetalleDepositoFN();
    $o_BaseArArqueoDetalleDepositoFN->setIdclase($o_propel->idclase);
    $o_BaseArArqueoDetalleDepositoFN->setIdsucursal($o_propel->idsucursal);
    $o_BaseArArqueoDetalleDepositoFN->setIdmercado($o_propel->idmercado);
    $o_BaseArArqueoDetalleDepositoFN->setIdcolaborador($o_propel->idcolaborador);
    $o_BaseArArqueoDetalleDepositoFN->setFecha($o_propel->fecha);
    $o_BaseArArqueoDetalleDepositoFN->setIdcliente($o_propel->idcliente);
    $o_BaseArArqueoDetalleDepositoFN->setIdprestamo($o_propel->idprestamo);
    $o_BaseArArqueoDetalleDepositoFN->setNombrecliente($o_propel->nombrecliente);
    $o_BaseArArqueoDetalleDepositoFN->setIdbanco($o_propel->idbanco);
    $o_BaseArArqueoDetalleDepositoFN->setIdcuenta($o_propel->idcuenta);
    $o_BaseArArqueoDetalleDepositoFN->setBanco($o_propel->banco);
    $o_BaseArArqueoDetalleDepositoFN->setNumerocuenta($o_propel->numerocuenta);
    $o_BaseArArqueoDetalleDepositoFN->setFechadeposito($o_propel->fechadeposito);
    $o_BaseArArqueoDetalleDepositoFN->setNumeroboucher($o_propel->numeroboucher);
    $o_BaseArArqueoDetalleDepositoFN->setNombrearchivo($o_propel->nombrearchivo);
    $o_BaseArArqueoDetalleDepositoFN->setSubtotal($o_propel->subtotal);
    $o_BaseArArqueoDetalleDepositoFN->setEstado($o_propel->estado);
    $o_BaseArArqueoDetalleDepositoFN->setIdpagoreferencia($o_propel->idpagoreferencia);
    $o_BaseArArqueoDetalleDepositoFN->setFecharegistro($o_propel->fecharegistro);
    $o_BaseArArqueoDetalleDepositoFN->setUsuarioregistro($o_propel->usuarioregistro);
    return $o_BaseArArqueoDetalleDepositoFN;
  }
}