<h3 class="top boxtitle"><span class="white"><a rel="nofollow" href="<?=url('noticias','home','',-5)?>">Noticias</a></span></h3>

<div id="detalle">
	<div id="aclinks">
		<span class="print">Imprimir</span>
		<span class="email">Enviar a un amigo</span>
	</div>

	<h1><a rel="bookmark" href="<?=url('noticias','detalle',$blog_item->url,-9,4)?>"><?=$blog_item->nombre?></a></h1>
	<div id="contenido">
		<?if($blog_item->imagen!=''){?>
		<p class="image"><img src="<?=$BASE->www?>img/blog/<?=$blog_item->imagen?>" alt="<?=$blog_item->nombre?>" /></p>
		<?}?>
		<p><?=nl2br($blog_item->descripcion)?></p>
		<?=$blog_item->contenido?>
	</div>

	<?if($blog_item->archivo!='' && file_exists(PATH_WWW.'files/blog/'.$blog_item->archivo)){?>
	<p id="attach">&darr; Descargar: <a rel="nofollow" href="<?=$BASE->www?>download.php?file=/files/blog/<?=$blog_item->archivo?>"><?=$blog_item->nombre?></a> (<strong><?=fileExt($blog_item->archivo)?></strong>)</p>
	<?}?>

	<div id="share">
		<!--<div>
			<a rel="nofollow" href="http://www.addthis.com/bookmark.php?v=20" onmouseover="return addthis_open(this, '', '<?=htmlspecialchars(url('noticias','detalle',$blog_item->url,-9,4))?>', '<?=$blog_item->nombre?>')" onmouseout="addthis_close()" onclick="return addthis_sendto()">
				<img src="/css/addthis.gif" width="125" height="16" alt="Bookmark and Share" style="border:0"/>
			</a>
		</div>-->
		<div>
			<span class='st_twitter_large' st_image='<?='http://'.SITE_DOMAIN.'/img/blog/'.$blog_item->imagen?>'></span>
			<span class='st_facebook_large' st_image='<?='http://'.SITE_DOMAIN.'/img/blog/'.$blog_item->imagen?>' ></span>
			<span class='st_googleplus_large' st_image='<?='http://'.SITE_DOMAIN.'/img/blog/'.$blog_item->imagen?>'></span>
			<span  class='st_gbuzz_large' st_image='<?='http://'.SITE_DOMAIN.'/img/blog/'.$blog_item->imagen?>'></span>
			<span  class='st_email_large' st_image='<?='http://'.SITE_DOMAIN.'/img/blog/'.$blog_item->imagen?>'></span>
			<span  class='st_sharethis_large' st_image='<?='http://'.SITE_DOMAIN.'/img/blog/'.$blog_item->imagen?>'></span>
		</div>
	</div>

	<div id="info">
		<?if($blog_item->fuente!=''){?>
		<p><strong>Fuente</strong>: <?=parseTextUrls($blog_item->fuente)?></a></p>
		<?}?>
		<p><strong>Fecha de publicación</strong>: <?=$dias[$blog_item->fechaPublicacion->w]?> <?=$blog_item->fechaPublicacion->d?> de <a rel="nofollow" href="<?=url('noticias','periodo',$blog_item->fechaPublicacion->Y.'-'.str_pad($blog_item->fechaPublicacion->m,2,'0',STR_PAD_LEFT),-25)?>"><?=$meses[$blog_item->fechaPublicacion->m-1]?> <?=$blog_item->fechaPublicacion->Y?></a></p>
		<p><strong>Categorías</strong>: <?foreach($blog_item->categorias as $i => $categoria){?><?=$i>0?', ':''?><a rel="nofollow" href="<?=url('noticias','categoria',$categoria->url,-8)?>"><?=$categoria->nombre?></a><?}?></p>
		<?if(!empty($blog_item->tags)){?>
		<p><strong>Tags</strong>: <?foreach($blog_item->tags as $i => $tag){?><?=$i>0?', ':''?><a rel="nofollow" href="<?=url('noticias','tag',$tag->url,-8)?>"><?=$tag->url?></a><?}?></p>
		<?}?>
		<?if($blog_item->aceptaComentarios=='1'){?>
		<p><strong>Comentarios</strong>: <a rel="nofollow" href="<?=url('noticias','detalle',$blog_item->url,-9,4)?>#comments"><?=count($blog_item->comentarios)?> comentarios</a></p>
		<?}?>
	</div>

	<?if(!empty($blog_item_anterior) || !empty($blog_item_siguiente)){?>
	<div id="contiguos">
		<?if(!empty($blog_item_anterior)){?><p id="anterior">&laquo; <a href="<?=url('noticias','detalle',$blog_item_anterior->url,-9,4)?>"><?=$blog_item_anterior->nombre?></a></p><?}?>
		<?if(!empty($blog_item_siguiente)){?><p id="siguiente"><a href="<?=url('noticias','detalle',$blog_item_siguiente->url,-9,4)?>"><?=$blog_item_siguiente->nombre?></a> &raquo;</p><?}?>
	</div>
	<?}?>

	<?if(!empty($blog_item->relacionados)){?>
	<div id="relacionados">
		<h3 class="boxtitle"><span class="grey">Noticias relacionadas</span></h3>
		<ul>
		<?foreach($blog_item->relacionados as $i => $relacionado){?>
		<li><a rel="nofollow" href="<?=url('noticias','detalle',$relacionado->url,-9,4)?>"><?=$relacionado->nombre?></a></li>
		<?}?>
		</ul>
	</div>
	<?}?>

	<?if(!empty($blog_item->comentarios)){?>
	<div id="comments">
		<h3 class="boxtitle"><span class="grey">Comentarios</span></h3>
		<h4><?=count($blog_item->comentarios)?> Respuestas a: "<?=$blog_item->nombre?>"</h4>
		<?foreach($blog_item->comentarios as $i => $comentario){?>
		<div class="comentario<?=$i%2>0?' par':''?>" id="comment-<?=$comentario->id?>">
			<p><strong><?if(!empty($comentario->web)){?><a href="<?=$comentario->web?>" class="blank"><?=alt($comentario->nombre,$comentario->usuario)?></a><?}else{?><?=alt($comentario->nombre,$comentario->usuario)?><?}?></strong>:</p>
			<p class="fecha"><?=$comentario->fechaCreacion?></p>
			<p class="contenido"><?=nl2br($comentario->contenido)?></p>
		</div>
		<?}?>
	</div>
	<?}?>

	<?if($blog_item->aceptaComentarios=='1'){?>
	<div id="commentForm">
		<h3 class="boxtitle"><span class="grey">Deja un comentario:</span></h3>
		<?if(isset($_SESSION['comentario_ok_'.$blog_tipo_id])){?>
		<p id="pendingComment"><span>Hemos recibido su comentario, será revisado antes de publicarse.
		</span>
		</p>
		<?unset($_SESSION['comentario_ok_'.$blog_tipo_id]);}?>
		<form action="<?=htmlspecialchars(url('noticias','detalle',$blog_item->url,-9,4))?>#commentForm" method="post">
			<div>
				<?if(!isset($_SESSION['user'])){?>
				<p><input name="nombre" maxlength="64" value="<?=isset($_POST['nombre']) ? $_POST['nombre'] : (isset($_SESSION['anonymous']) ? $_SESSION['anonymous']['nombre'] : '') ?>" /> Nombres (requerido)</p>
				<?if(isset($errors['nombre'])){?><p class="error">Campo incorrecto.</p><?}?>
				<p><input name="email" maxlength="64" value="<?=isset($_POST['email']) ? $_POST['email'] : (isset($_SESSION['anonymous']) ? $_SESSION['anonymous']['email'] : '') ?>" /> Email (requerido)</p>
				<?if(isset($errors['email'])){?><p class="error">Campo incorrecto.</p><?}?>
				<?}?>
				<p><textarea name="contenido" cols="36" rows="8"><?=@$_POST['contenido']?></textarea></p>
				<?if(isset($errors['contenido'])){?><p class="error">Campo incorrecto.</p><?}?>
				<?if(isset($_SESSION['user'])){?>
				<p> &nbsp; <input type="checkbox" name="notificar" value="1"<?if($avisar){?> checked="checked"<?}?> /> Avisarme de otros comentarios en esta noticia</p>
				<?}?>
			</div>
			<p><input type="submit" name="comentar" value="Enviar comentario" /></p>
		</form>
	</div>
	<?}?>
</div>

<span class="bottom">&nbsp;</span>